
<div align="center">
  <img src="dnotebook/src/public/images/dnotebook.png"><br>
</div>

-----------------

**Dnotebook** allows you to create and share pages that contain live code, text and visualizations in a textbook-like manner.

### It helps you to:
- Easily perform interactive data exploration and analysis using efficient JavaScript packages like Danfo.js.
- Easily build, train and prototype machine learning models using different tools like Tensorflow.js
- Learn JavaScript in an interactive/visual style. This can hasten learning and understanding.
- Plain Experimentation/Prototyping. Any experimentation performed in JavaScript can run on Dnotebooks.


### How to install
Dnotebook is hosted on NPM, and can installed via package managers like npm and yarn

```sh
npm install -g dnotebook
```

### Example usage
After installing dnotebook, you can start the server by running the command `dnotebook` in the terminal. This opens a new notebook in your default browser.


![](assets/test-dnotes.gif)


You can download the notebook shown above [here](assets/test-notebook.json). To view and interact with the notebook without installing anything, go to [playnotebook.jsdata.org](https://playnotebook.jsdata.org/) and upload it.

#### [See the Official Getting Started Guide](https://dnotebook.jsdata.org/getting-started)


<!-- ## Documentation
The official documentation can be found [here](https://danfo.jsdata.org) -->

### Discussion and Development
Development discussions take place on our [issues](https://github.com/opensource9ja/dnotebook/issues) tab. 

### Contributing to Dnotebook
All contributions, bug reports, bug fixes, documentation improvements, enhancements, and ideas are welcome.

#### Licence [MIT](https://github.com/opensource9ja/dnotebook/blob/master/LICENCE)

#### Created by [Rising Odegua](https://github.com/risenW) and [Stephen Oni](https://github.com/steveoni)

